import ResonatorAudioContext from "../audio-context";
import { EventBus } from "../../event-bus";
export default class ResonatorScene extends EventBus {
    scene: GainNode;
    context: ResonatorAudioContext;
    listener: AudioListener;
    position: {
        x: number;
        y: number;
        z: number;
    };
    orientation: any;
    isFirefox: boolean;
    constructor(context: ResonatorAudioContext);
    init(): void;
    createSource(): any;
    getOutput(): any;
    getInput(): any;
    setListenerPosition(x: number, y: number, z: number): void;
    setListenerOrientation(forward: any, rawup: any): void;
    private checkIfFirefox;
}
